Class | AMQP::Broker
In: | lib/amqp/broker.rb
Parent: | Object

A utility class that makes inspection of broker capabilities easier.

### Methods

new product rabbitmq? supports_basic_nack? supports_consumer_cancel_notifications? supports_exchange_to_exchange_bindings? supports_publisher_confirmations? version

### Constants

RABBITMQ_PRODUCT | = | "RabbitMQ".freeze |  | API

### Attributes

properties | [R] | Broker information @return [Hash] @see Session#server_properties

### Public Class methods

new(properties)

@return [Hash] properties Broker information @see Session#server_properties

### Public Instance methods

product()

@return [String] Broker product information

rabbitmq?()

@return [Boolean] true if broker is RabbitMQ

supports_basic_nack?()

@return [Boolean]

supports_consumer_cancel_notifications?()

@return [Boolean]

supports_exchange_to_exchange_bindings?()

@return [Boolean]

supports_publisher_confirmations?()

@return [Boolean]

version()

@return [String] Broker version

[Validate]